package model

import "time"

type Torrent struct {
	ID        TorrentID `json:"id"`
	Title     string    `json:"title"`
	Link      string    `json:"link"`
	Time      time.Time `json:"time"`
	Seeders   int       `json:"seeders"`
	Leechers  int       `json:"leechers"`
	Downloads int       `json:"downloads"`
	Trusted   bool      `json:"trusted"`
}

type TorrentID string
